# pemmican-mon

## Synopsis

    usage: pemmican-mon [-h] [--help-all] [--help-gapplication]
                        [--gapplication-service]

## Options

-h, --help

  show the help message and exit

--help-all

  show all available help options and exit

--help-gapplication

  show help options specific to GLib.Application and exit

--gapplication-service

  run the application in GApplication service mode (for DBus service files)

## Usage

pemmican-mon is intended to be a background service, launched as a user-slice systemd service by the “graphical-session” target. It monitors udev for power supply related events, reporting those of interest via the freedesktop notification service.

Power supply undervolt (typically reported in the event the supply drops below 4.8V) is likely the most important event the application warns about. If you wish to suppress this warning for your user, touch the file `~/.config/pemmican/undervolt.inhibit`. If you wish to suppress this warning system-wide, touch the file `/etc/xdg/pemmican/undervolt.inhibit`.

Warning

It is strongly recommended that any such notice is heeded, as brownout is very likely to lead to any manner of other (hard to predict or replicate) issues up to and including data corruption.

Put simply, suppressing this warning is probably a very bad idea!

USB over-current is the other event the application will warn about. This occurs when peripherals attached to the USB ports attempt to draw more current that permitted. If the Pi 5 is being supplied by a PSU that did not negotiate a 5A feed at boot time, the USB ports will be limited in their supply and this warning is more likely.

If you wish to suppress this warning for your individual user, touch the file `~/.config/pemmican/overcurrent.inhibit`. To suppress this warning system-wide, touch `/etc/xdg/pemmican/overcurrent.inhibit`.

## Environment

Because the notifications generated by this application are capable of launching a web-browser (via the “More Information” action), the script will also bail with an error in the event that `DISPLAY` or `WAYLAND_DISPLAY` are not found in the environment at startup.

## See Also

pemmican-cli, pemmican-reset

The freedesktop notifications specification.

## Bugs

Please report bugs at: https://github.com/waveform80/pemmican/issues